<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>more-web-dev-reources</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="inspire-awesome">
      Inspire
      <a href="https://github.com/sindresorhus/awesome"
        ><img
          src="https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg"
          alt="Awesome"
      /></a>
    </h1>
    <p>
      Designing and building a modern frontend in any web project can be a long
      and arduous process. Here’s a collction of links to help you. Enjoy!
    </p>
    <h2 id="concept">Concept</h2>
    <h5>
      These sites are good to get a general idea of possible layouts and style
      paths to take.
    </h5>
    <ul>
      <li>
        <a href="https://www.thebestdesigns.com/">TheBestDesigns</a> - General
        list of hand picked sites from across the web.
      </li>
      <li>
        <a href="http://www.awwwards.com/">Awwwards</a> - More awesome sites of
        various styles.
      </li>
      <li>
        <a href="https://dribbble.com/">Dribbble</a> - Snaps of icons, doodles,
        sites, and more from a talented group of people.
      </li>
      <li>
        <a href="https://siiimple.com/">Siiimple</a> - Another list of sites,
        but on the much simpler side.
      </li>
      <li>
        <a href="http://httpster.net/">Httpster</a> - A curated list of the best
        sites around the Internet.
      </li>
      <li>
        <a href="https://saaspages.xyz">SaaS Pages</a> - An inspection of
        Netlify’s page made especially to bring you inspiration.
      </li>
      <li>
        <a href="http://www.siteinspire.com/">siteInspire</a> - Get inspired.
      </li>
      <li>
        <a href="https://www.designernews.co/">Designer News</a> - The best
        design / development links from the ’net.
      </li>
      <li>
        <a href="http://www.csswinner.com/">CSS Winner</a> - Reviewed list of
        great websites.
      </li>
      <li>
        <a href="https://onepagelove.com/">OnePageLove</a> - Great influence for
        one page and general website design.
      </li>
      <li>
        <a href="https://codemyui.com/">CodeMyUI</a> - List of code snippets for
        fancy CSS/JS that make an awesome UI.
      </li>
      <li>
        <a href="http://codepen.io/">CodePen</a> - Central repository of user
        submitted code concepts/snippets. Great for experiments.
      </li>
      <li>
        <a href="https://codyhouse.co/">CodyHouse</a> - Tutorials and showcase
        of awesome UI elements.
      </li>
      <li>
        <a href="http://www.justinaguilar.com/animations/#">CSS3 Cheat Sheet</a>
        - CSS3 Cheat Sheet
      </li>
    </ul>
    <h2 id="creation">Creation</h2>
    <h5>These sites are good for building a basic framework for the site.</h5>
    <ul>
      <li>
        Color
        <ul>
          <li>
            <a href="https://colorswall.com/">ColorsWall</a> - Place to store
            your color palettes.
          </li>
          <li>
            <a href="https://coolors.co/">Coolors</a> - Super fast color scheme
            generator.
          </li>
          <li>
            <a href="https://color.adobe.com/">Kuler</a> - Easily create or view
            a custom color swatch for your site.
          </li>
          <li>
            <a href="https://uigradients.com/">uiGradients</a> - Gorgous
            gradient generator.
          </li>
          <li>
            <a href="http://jxnblk.com/Spectral/">Spectral</a> - Minimal color
            swatch creation.
          </li>
        </ul>
      </li>
      <li>
        <a href="http://unsemantic.com">Unsemantic</a> - Provides a good grid
        framework for small to large projects.
      </li>
      <li>
        <a href="https://developer.mozilla.org">MDN</a> - Documentation for
        HTML, CSS, JS, etc.
      </li>
      <li>
        <a href="http://getbootstrap.com">Bootstrap</a> - Very popular framework
        for building modern websites and web apps.
        <ul>
          <li>
            <a href="http://bootswatch.com">Bootswatch</a> - A list of free
            themes for Bootstrap.
          </li>
        </ul>
      </li>
      <li>
        <a href="https://iconscout.com">iconscout.com</a> - Get high-quality
        Icons, Illustrations and Stock photos at one place.
      </li>
      <li>
        <a href="http://iconmonstr.com">Iconmonstr</a> - A collection of free,
        simple icons.
      </li>
      <li>
        <a href="http://ionicons.com">Ionicons</a> - Another great collection of
        free icons.
      </li>
      <li>
        <a href="http://subtlepatterns.com">Subtle Patterns</a> - A massive
        archive of free backgrounds for your projects.
      </li>
      <li>
        <a href="https://www.google.com/fonts">Google Fonts</a> - Tons of free,
        easy to use webfonts.
      </li>
      <li>
        <a
          href="http://patorjk.com/software/taag/#p=display&amp;f=Graffiti&amp;t=Type%20Something%20"
          >Text to ASCII</a
        >
        - Add some sexy Easter eggs in your source code.
      </li>
      <li>
        <a href="http://www.justinaguilar.com/animations/"
          >CSS3 Animation Cheat Sheet</a
        >
        - A collection of CSS3 animation snippets.
      </li>
      <li>
        <a href="http://designmodo.github.io/Flat-UI/">Flat UI</a> - A superb
        HTML and CSS framework for flat design. It’s the juice.
      </li>
      <li>
        <a href="http://css2stylus.com">CSS2Stylus</a> - Convert your CSS to
        Stylus.
      </li>
      <li>
        <a href="http://youmightnotneedjquery.com">YMNNJQ</a> - See jQuery
        functions in natural JS. No libraries.
      </li>
      <li>
        <a href="http://uifaces.com">User Inter Faces</a> - Get ipsum images for
        user images.
      </li>
      <li>
        Images
        <ul>
          <li>
            <a href="http://allthefreestock.com/">AllTheFreeStock</a> - All the
            Free stock mmages, videos, sounds and icons in one location.
          </li>
          <li>
            <a href="http://thestocks.im">TheStocks.im</a> - A collection of
            great stock photo websites.
          </li>
          <li>
            <a href="https://unsplash.com">Unsplash</a> - Free, high quality
            stock photos.
          </li>
        </ul>
      </li>
      <li>
        <a href="https://minwiz.com/">MinWiz</a> - Starter kit for minimal,
        viable, good looking, production-ready websites.
      </li>
    </ul>
    <h2 id="tools">Tools</h2>
    <h5>Every painter needs a brush. Well… Most do.</h5>
    <ul>
      <li>
        <a href="https://www.sublimetext.com">Sublime Text</a> - A very popular
        text editor for developers.
        <ul>
          <li>
            Themes
            <ul>
              <li>
                <a href="https://github.com/noahbuscher/Flatron">Flatron</a> -
                It’s flat, purple, and hella sexy.
              </li>
              <li>
                <a href="https://github.com/jamiewilson/predawn">Predawn</a> -
                Gorgeous dark interface and syntax theme.
              </li>
            </ul>
          </li>
        </ul>
      </li>
      <li>
        <a href="https://atom.io">Atom</a> - A hackable text editor for the 21st
        century.
      </li>
      <li>
        <a href="http://brackets.io/">Brackets</a> - Modern, open source editor
        with live preview.
      </li>
      <li>
        <a href="https://code.visualstudio.com/">VSCode</a> - Free text editor
      </li>
      <li>
        <a href="https://hyper.is">Hyper</a> - Beautiful, extensible
        command-line interface
      </li>
      <li>
        <a href="https://filezilla-project.org">FileZilla</a> - For those who
        fear FTP in the terminal.
      </li>
      <li>
        <a href="http://winscp.net">WinSCP</a> - Upload files to a MEAN stack or
        VPS server.
      </li>
      <li>
        <a href="http://www.sketchapp.com/">Sketch</a> [OS X only] - A
        professional vector graphics app.
      </li>
      <li>
        <a href="https://www.taskade.com/">Taskade</a> [OS X only] - Create
        beautiful task lists and outlines.
      </li>
    </ul>
    <h2 id="collaborate">Collaborate</h2>
    <h5>Working with a team? These links are for you.</h5>
    <ul>
      <li>
        <a href="https://c9.io">Cloud9</a> - An awesome, zen way to work with
        others in the cloud.
      </li>
      <li>
        <a href="https://gist.github.com">Gist</a> - Share code and text with
        others fast. Like a mini repository.
      </li>
      <li>
        <a href="http://scratchpad.io">Scratchpad</a> - A simple, RTC tool for
        coding and previewing websites.
      </li>
      <li>
        <a href="https://redpen.io">Red Pen</a> - Share your design and get
        feedback seamlessly.
      </li>
      <li>
        <a href="https://www.invoiceninja.com">Invoice Ninja</a> - Open source
        invoicing platform.
      </li>
    </ul>
    <h2 id="backends">Backends</h2>
    <h5>Every awesome web app needs an awesome backend.</h5>
    <ul>
      <li>
        <a href="https://www.firebase.com">Firebase</a> - A real-time front-end
        database for your sites.
      </li>
      <li>
        <a href="https://www.digitalocean.com/">DigitalOcean</a> - A cheap and
        quality VPS hosting company.
      </li>
      <li>
        <a href="https://www.heroku.com">Heroku</a> - Cloud application
        platform; very easy to scale.
      </li>
      <li>
        <a href="https://auth0.com/">Auth0</a> - Authentication, done for you.
      </li>
      <li>
        <a href="https://hasura.io">Hasura</a> - Platform to build and deploy
        app backends fast.
      </li>
    </ul>
    <h2 id="testing">Testing</h2>
    <h5>
      Before you launch, these are good tools to make sure your site is ready
      for stardom.
    </h5>
    <ul>
      <li>
        <a href="https://www.checkbot.io">Checkbot</a> - Browser extension that
        tests your website follows 50+ SEO, speed and security best practices.
      </li>
      <li>
        <a href="http://placehold.it">Placehold</a> - Generate custom
        placeholder images of any size.
      </li>
      <li>
        <a href="https://www.browserling.com/">Browserling</a> - Cross-browser
        test your website.
      </li>
      <li>
        <a href="http://codepen.io">CodePen</a> - A free web editor in your
        browser.
      </li>
      <li>
        <a href="https://www.woorank.com/">WooRank</a> - A review tool for SEO
        elements, W3 validation, and numerous other variables. Free basic
        service.
      </li>
      <li>
        <a href="http://yslow.org">Yslow</a> - Tool for analyzing and finding
        fixes for multiple causes of slow site loading.
      </li>
      <li>
        <a href="https://www.hurl.it/">Hurl.it</a> - Make HTTP requests in the
        browser.
      </li>
      <li>
        <a href="http://localtunnel.me">Localtunnel</a> - Open localhost ports
        to the world.
      </li>
      <li>
        <a href="https://www.getpostman.com/">Postman</a> - A tool to make HTTP
        requests, generate mock servers and make API documentation.
      </li>
    </ul>
    <h2 id="good-reads">Good Reads</h2>
    <h5>Need something to read in your spare time?</h5>
    <ul>
      <li>
        <a href="http://www.smashingmagazine.com">Smashing Magazine</a> - A
        magazine for all things digital design.
      </li>
      <li>
        <a href="https://css-tricks.com/">CSS-Tricks</a> - Awesome blog on
        anything and everything related to CSS.
      </li>
      <li>
        <a href="http://tympanus.net/codrops/">Codrops</a> - Great collection of
        design techniques for modern web developmers and designers.
      </li>
      <li>
        <a href="http://www.inserthtml.com">Insert HTML</a> - A blog covering
        current and upcoming techniques and technologies for web developers.
      </li>
      <li>
        <a href="http://www.1stwebdesigner.com/blog/">1stWebDesign</a> - A good,
        simple blog on web development and design.
      </li>
      <li>
        <a href="http://alistapart.com">A List Apart</a> - Guest bloggers and
        full books on topics from coding to business practices.
      </li>
      <li><a href="http://goodui.org">GoodUI</a> - It’s definitely not bad.</li>
      <li>
        <a href="http://www.mentor.so/">Mentor</a> - Get random advice from
        other designers and developers.
      </li>
    </ul>
  </body>
</html>
